import React, { Component } from "react";
import CN from "classnames";
import PT from "prop-types";
import styled from "@emotion/styled";

import { Link } from "~/routes";
import { colors, down } from "~/config/var";

class HeaderLogo extends Component {
    static propTypes = {
        dark: PT.bool,
        fixed: PT.bool
    };
    render() {
        const { dark, fixed } = this.props;
        return (
            <SHeaderLogo
                className={CN({
                    dark: dark,
                    fixed: fixed
                })}
            >
                <Link route="index">
                    <a>
                        <SSvg
                            id="logo"
                            xmlns="http://www.w3.org/2000/svg"
                            width="179.024"
                            height="85.016"
                            viewBox="0 0 179.024 85.016"
                        >
                            <g
                                id="text"
                                transform="translate(85.715 29.123)"
                                fill="currentColor"
                            >
                                <g transform="translate(0.474 0)">
                                    <path
                                        d="M296.713,592.893a6.653,6.653,0,0,0-1.318-2.227,6.324,6.324,0,0,0-2.128-1.449,7.432,7.432,0,0,0-2.866-.527,10.7,10.7,0,0,0-7.536,2.885l.777,1.383a1.738,1.738,0,0,0,.514.56,1.262,1.262,0,0,0,.777.25,1.953,1.953,0,0,0,.975-.25c.283-.165.613-.362.955-.56a6.944,6.944,0,0,1,1.238-.56,5.336,5.336,0,0,1,1.765-.25,2.889,2.889,0,0,1,2.259.876,4.018,4.018,0,0,1,.777,2.7V596.8a29.571,29.571,0,0,0-3.7.3,17.743,17.743,0,0,0-2.819.679,8.307,8.307,0,0,0-2.042.955A5.866,5.866,0,0,0,283,599.9a3.627,3.627,0,0,0-.758,1.3,4.274,4.274,0,0,0-.231,1.37,5.375,5.375,0,0,0,.4,2.141,4.022,4.022,0,0,0,1.087,1.548,4.64,4.64,0,0,0,1.68.922,6.76,6.76,0,0,0,2.128.316,9.617,9.617,0,0,0,1.779-.165,7.436,7.436,0,0,0,1.515-.494,8.676,8.676,0,0,0,1.37-.791,15.766,15.766,0,0,0,1.35-1.087l.382,1.317a1.233,1.233,0,0,0,.547.744,1.9,1.9,0,0,0,.955.2h1.976V595.738A8.885,8.885,0,0,0,296.713,592.893Zm-3.821,9.631a7.052,7.052,0,0,1-1.93,1.482,5.288,5.288,0,0,1-2.325.481,2.989,2.989,0,0,1-1.779-.494,1.875,1.875,0,0,1-.679-1.647,1.8,1.8,0,0,1,.329-1.074,2.615,2.615,0,0,1,1.12-.876,7.967,7.967,0,0,1,2.062-.613,21.645,21.645,0,0,1,3.2-.329Z"
                                        transform="translate(-282.01 -588.69)"
                                    />
                                    <path
                                        d="M340.678,592.749a6.152,6.152,0,0,0-1.206-2.161,5.039,5.039,0,0,0-1.976-1.337,7.038,7.038,0,0,0-2.668-.461,8.6,8.6,0,0,0-1.732.185,5.966,5.966,0,0,0-1.614.613,5.707,5.707,0,0,0-2.477,2.6,5.621,5.621,0,0,0-1.647-2.47,4.226,4.226,0,0,0-2.833-.922,5.191,5.191,0,0,0-1.482.184,5.511,5.511,0,0,0-1.285.514,6.1,6.1,0,0,0-1.12.758,8.632,8.632,0,0,0-.988.975l-.3-1.35a1.06,1.06,0,0,0-1.107-.791H315.56v18.181h4.387V593.935a5.993,5.993,0,0,1,1.535-1.284,3.48,3.48,0,0,1,1.779-.461,2.794,2.794,0,0,1,2.161.823,4.048,4.048,0,0,1,.725,2.668v11.574h4.4V595.68a4.271,4.271,0,0,1,.25-1.515,3.243,3.243,0,0,1,.679-1.087,2.933,2.933,0,0,1,1.021-.659,3.316,3.316,0,0,1,1.238-.231,2.817,2.817,0,0,1,2.24.876,3.869,3.869,0,0,1,.758,2.622v11.574h4.387V595.687A9.912,9.912,0,0,0,340.678,592.749Z"
                                        transform="translate(-293.459 -588.724)"
                                    />
                                    <path
                                        d="M377.683,592.893a6.341,6.341,0,0,0-1.318-2.227,6.014,6.014,0,0,0-2.128-1.449,7.34,7.34,0,0,0-2.852-.527,10.752,10.752,0,0,0-7.549,2.885l.79,1.383a1.6,1.6,0,0,0,.514.56,1.222,1.222,0,0,0,.777.25,1.953,1.953,0,0,0,.975-.25c.283-.165.613-.362.955-.56a6.944,6.944,0,0,1,1.238-.56,5.336,5.336,0,0,1,1.765-.25,2.836,2.836,0,0,1,2.24.876,3.948,3.948,0,0,1,.79,2.7V596.8a29.26,29.26,0,0,0-3.7.3,17.742,17.742,0,0,0-2.819.679,8.835,8.835,0,0,0-2.062.955,6.156,6.156,0,0,0-1.35,1.173,4.016,4.016,0,0,0-.744,1.3,3.941,3.941,0,0,0-.231,1.37,5.38,5.38,0,0,0,.382,2.141,4.137,4.137,0,0,0,1.107,1.548,4.64,4.64,0,0,0,1.68.922,6.617,6.617,0,0,0,2.128.316,9.841,9.841,0,0,0,1.779-.165,7.71,7.71,0,0,0,1.515-.494,8.673,8.673,0,0,0,1.37-.791c.428-.316.876-.679,1.337-1.087l.4,1.317a1.3,1.3,0,0,0,.527.744,1.929,1.929,0,0,0,.955.2h1.989V595.738A8.374,8.374,0,0,0,377.683,592.893Zm-3.814,9.631a7.052,7.052,0,0,1-1.93,1.482,5.328,5.328,0,0,1-2.325.481,2.907,2.907,0,0,1-1.779-.494,1.881,1.881,0,0,1-.692-1.647,1.818,1.818,0,0,1,.349-1.074,2.569,2.569,0,0,1,1.107-.876,8.249,8.249,0,0,1,2.075-.613,21.643,21.643,0,0,1,3.2-.329v3.07Z"
                                        transform="translate(-309.642 -588.69)"
                                    />
                                    <path
                                        d="M411.977,592.884a6.166,6.166,0,0,0-1.173-2.174,5.181,5.181,0,0,0-1.93-1.416,6.6,6.6,0,0,0-2.635-.494,6.962,6.962,0,0,0-1.7.185,7.315,7.315,0,0,0-1.469.514,7.657,7.657,0,0,0-1.285.79,14.27,14.27,0,0,0-1.173,1.021l-.3-1.436a1.08,1.08,0,0,0-1.12-.791H396.53v18.181h4.387V594.109a7.59,7.59,0,0,1,1.877-1.4,4.473,4.473,0,0,1,2.128-.514,2.784,2.784,0,0,1,2.306.909,3.905,3.905,0,0,1,.777,2.589v11.574h4.367V595.69A9.442,9.442,0,0,0,411.977,592.884Z"
                                        transform="translate(-321.092 -588.728)"
                                    />
                                </g>
                                <g transform="translate(0 23.635)">
                                    <path
                                        d="M283.464,631.431a1.1,1.1,0,0,0-.165-.184.936.936,0,0,0-.2-.132,1.02,1.02,0,0,0,.283-.231l3.169-3h-.613a.461.461,0,0,0-.217.053,1.032,1.032,0,0,0-.165.132l-2.866,2.721a.5.5,0,0,1-.2.151.547.547,0,0,1-.184.02h-.329V624.6h-.692v10.454h.692v-3.61h.329a.809.809,0,0,1,.184.013.374.374,0,0,1,.231.1.34.34,0,0,1,.119.118l3,3.215a.286.286,0,0,0,.165.132.54.54,0,0,0,.184.033h.593Z"
                                        transform="translate(-281.29 -624.58)"
                                    />
                                    <path
                                        d="M298.212,629.587a.249.249,0,0,0-.152.053.186.186,0,0,0-.1.132l-2.391,5.553a1.487,1.487,0,0,1-.086.217c-.013.086-.053.151-.066.231-.02-.086-.046-.151-.066-.231s-.053-.151-.066-.217l-2.4-5.553a.366.366,0,0,0-.1-.132.247.247,0,0,0-.165-.053h-.58l3.03,6.89-1.252,2.786h.481a.284.284,0,0,0,.2-.053.5.5,0,0,0,.119-.165l4.1-9.466h-.507Z"
                                        transform="translate(-284.959 -626.28)"
                                    />
                                    <path
                                        d="M309.44,629.443a2.978,2.978,0,0,0-.428-.033,2.056,2.056,0,0,0-.758.119,2.256,2.256,0,0,0-.626.362,2.563,2.563,0,0,0-.481.58,3.385,3.385,0,0,0-.382.791l-.053-1.5a.418.418,0,0,0-.066-.185.267.267,0,0,0-.184-.053H306.1v7.154h.692v-4.631a4.927,4.927,0,0,1,.349-.856,2.944,2.944,0,0,1,.448-.613,1.71,1.71,0,0,1,.58-.382,2,2,0,0,1,.744-.132,1.5,1.5,0,0,1,.461.053,1.073,1.073,0,0,0,.263.053c.066,0,.1-.033.132-.119l.053-.461A1.448,1.448,0,0,0,309.44,629.443Z"
                                        transform="translate(-289.757 -626.222)"
                                    />
                                    <path
                                        d="M318.735,629.835a2.337,2.337,0,0,0-.711-.316,2.847,2.847,0,0,0-.876-.119,3.079,3.079,0,0,0-1.041.165,2.173,2.173,0,0,0-.81.461,1.906,1.906,0,0,0-.527.725,2.4,2.4,0,0,0-.184.942,2.3,2.3,0,0,0,.283,1.14,2.27,2.27,0,0,0,.79.791,1.848,1.848,0,0,0-.362.25,1.152,1.152,0,0,0-.283.316.915.915,0,0,0-.184.329,1.061,1.061,0,0,0-.053.316.834.834,0,0,0,.217.626,1.381,1.381,0,0,0,.58.362,2.351,2.351,0,0,0-1.021.646,1.374,1.374,0,0,0-.382.975,1.445,1.445,0,0,0,.2.725,2.032,2.032,0,0,0,.58.613,2.952,2.952,0,0,0,.955.415,4.48,4.48,0,0,0,1.317.165,4.227,4.227,0,0,0,1.337-.2,2.919,2.919,0,0,0,1.021-.514,2.107,2.107,0,0,0,.646-.725,1.686,1.686,0,0,0,.231-.856,1.194,1.194,0,0,0-.231-.758,1.384,1.384,0,0,0-.56-.461,3.665,3.665,0,0,0-.823-.231c-.3-.033-.613-.066-.922-.086l-.942-.053a6.512,6.512,0,0,1-.81-.1,1.808,1.808,0,0,1-.58-.231.576.576,0,0,1-.217-.481.65.65,0,0,1,.185-.461,1.366,1.366,0,0,1,.481-.415,2.935,2.935,0,0,0,1.107.185,3.082,3.082,0,0,0,1.041-.165,2.284,2.284,0,0,0,.81-.461,2,2,0,0,0,.514-.711,2.189,2.189,0,0,0,.184-.942,2.711,2.711,0,0,0-.1-.744,2.168,2.168,0,0,0-.316-.613l1.087-.086c.152-.02.217-.086.217-.185v-.25h-1.845Zm-2.688,6.1a6.352,6.352,0,0,0,.81.086c.283.02.56.033.843.053s.547.033.81.066a2.848,2.848,0,0,1,.679.165,1.139,1.139,0,0,1,.481.316.844.844,0,0,1,.165.547,1.2,1.2,0,0,1-.2.678,1.615,1.615,0,0,1-.547.527,2.7,2.7,0,0,1-.823.349,3.8,3.8,0,0,1-1.008.132,4.773,4.773,0,0,1-1.041-.119,2.942,2.942,0,0,1-.777-.316,1.459,1.459,0,0,1-.481-.481,1.117,1.117,0,0,1-.152-.58,1.085,1.085,0,0,1,.086-.461,1.586,1.586,0,0,1,.263-.382,2.1,2.1,0,0,1,.4-.329A2.321,2.321,0,0,1,316.047,635.935Zm2.9-3.5a1.593,1.593,0,0,1-.975.942,2.48,2.48,0,0,1-.823.132,2.374,2.374,0,0,1-.81-.132,2.011,2.011,0,0,1-.613-.362,1.468,1.468,0,0,1-.362-.58,1.732,1.732,0,0,1-.132-.725,1.767,1.767,0,0,1,.132-.744,1.544,1.544,0,0,1,.362-.58,1.777,1.777,0,0,1,.613-.362,2.374,2.374,0,0,1,.81-.132,2.545,2.545,0,0,1,.81.132,1.8,1.8,0,0,1,.613.362,1.588,1.588,0,0,1,.382.58,2,2,0,0,1,.132.744A2.248,2.248,0,0,1,318.952,632.437Z"
                                        transform="translate(-292.511 -626.218)"
                                    />
                                    <path
                                        d="M332.826,629.587a.281.281,0,0,0-.152.053.457.457,0,0,0-.1.132l-2.371,5.553c-.033.066-.053.151-.086.217-.033.086-.053.151-.086.231-.02-.086-.033-.151-.053-.231s-.053-.151-.086-.217l-2.4-5.553a.413.413,0,0,0-.086-.132.293.293,0,0,0-.184-.053h-.56l3.017,6.89-1.252,2.786h.494a.336.336,0,0,0,.2-.053.5.5,0,0,0,.119-.165l4.1-9.466h-.514Z"
                                        transform="translate(-296.773 -626.28)"
                                    />
                                    <path
                                        d="M339.89,629.59v.547h4.354l-4.486,6.067a.4.4,0,0,0-.119.264v.283h5.224V636.2h-4.4l4.486-6.047a.41.41,0,0,0,.1-.264v-.3H339.89Z"
                                        transform="translate(-301.203 -626.283)"
                                    />
                                    <path
                                        d="M365.3,629.339a2.355,2.355,0,0,0-.448-.856,2.084,2.084,0,0,0-.744-.547,2.924,2.924,0,0,0-1.041-.184,2.855,2.855,0,0,0-1.436.362,4.253,4.253,0,0,0-1.14.955v-4.5H359.8v10.454h.692v-5.375a3.638,3.638,0,0,1,1.087-.988,2.63,2.63,0,0,1,1.3-.362,1.685,1.685,0,0,1,1.4.58,2.406,2.406,0,0,1,.461,1.581v4.565h.692v-4.565A3.455,3.455,0,0,0,365.3,629.339Z"
                                        transform="translate(-308.083 -624.57)"
                                    />
                                    <path
                                        d="M379.224,631.58a3.367,3.367,0,0,0-.646-1.172,2.987,2.987,0,0,0-1.021-.745,3.222,3.222,0,0,0-1.37-.263,3.432,3.432,0,0,0-1.383.263,3.052,3.052,0,0,0-1.021.745,3.368,3.368,0,0,0-.646,1.172,5.389,5.389,0,0,0,0,3.03,3.219,3.219,0,0,0,.646,1.153,2.942,2.942,0,0,0,1.021.744,3.722,3.722,0,0,0,1.383.264,3.552,3.552,0,0,0,1.37-.264,2.717,2.717,0,0,0,1.021-.744,3.335,3.335,0,0,0,.646-1.153,5.39,5.39,0,0,0,0-3.03Zm-.639,2.819a2.812,2.812,0,0,1-.481.975,2.1,2.1,0,0,1-.81.646,2.83,2.83,0,0,1-1.107.217,2.873,2.873,0,0,1-1.12-.217,2.2,2.2,0,0,1-.81-.646,3.208,3.208,0,0,1-.481-.975,5.247,5.247,0,0,1,0-2.609,3.447,3.447,0,0,1,.481-.988,2.2,2.2,0,0,1,.81-.646,2.576,2.576,0,0,1,1.12-.217,2.516,2.516,0,0,1,1.107.217,2.1,2.1,0,0,1,.81.646,3.136,3.136,0,0,1,.481.988,5.33,5.33,0,0,1,.152,1.3A5.671,5.671,0,0,1,378.585,634.4Z"
                                        transform="translate(-312.56 -626.218)"
                                    />
                                    <path
                                        d="M392.967,630.988a2.357,2.357,0,0,0-.448-.856,1.975,1.975,0,0,0-.744-.547,2.8,2.8,0,0,0-1.041-.184,2.886,2.886,0,0,0-1.449.382,4.149,4.149,0,0,0-1.14.988l-.066-1.074a.2.2,0,0,0-.217-.185h-.382v7.154h.692v-5.375a3.489,3.489,0,0,1,1.087-.988,2.592,2.592,0,0,1,1.3-.362,1.712,1.712,0,0,1,1.4.58,2.523,2.523,0,0,1,.461,1.581v4.565h.692V632.1A3.1,3.1,0,0,0,392.967,630.988Z"
                                        transform="translate(-317.529 -626.218)"
                                    />
                                    <path
                                        d="M406.473,632.816a.174.174,0,0,0,.151-.066c.033-.033.033-.1.033-.217a3.725,3.725,0,0,0-.217-1.337,3.113,3.113,0,0,0-.593-.975,2.578,2.578,0,0,0-.909-.613,2.74,2.74,0,0,0-1.12-.217,3.229,3.229,0,0,0-1.35.264,2.866,2.866,0,0,0-1.021.744,3.161,3.161,0,0,0-.626,1.12,4.258,4.258,0,0,0-.231,1.416,4.8,4.8,0,0,0,.25,1.614,3.181,3.181,0,0,0,.659,1.205,2.631,2.631,0,0,0,1.041.745,3.129,3.129,0,0,0,1.337.263,4.02,4.02,0,0,0,.79-.086,3.945,3.945,0,0,0,.758-.217,3.089,3.089,0,0,0,.626-.316,1.789,1.789,0,0,0,.461-.415l-.184-.231a.179.179,0,0,0-.152-.066.4.4,0,0,0-.231.119,4.236,4.236,0,0,1-.428.264,2.8,2.8,0,0,1-.659.264,3.094,3.094,0,0,1-.942.119,2.76,2.76,0,0,1-1.087-.2,2.336,2.336,0,0,1-.843-.626,2.73,2.73,0,0,1-.527-1.021,4.627,4.627,0,0,1-.2-1.416V632.8h5.211Zm-4.914-1.449a2.663,2.663,0,0,1,.514-.777,2.282,2.282,0,0,1,.758-.494,2.668,2.668,0,0,1,1.008-.184,2.3,2.3,0,0,1,.889.165,1.951,1.951,0,0,1,.692.494,2.035,2.035,0,0,1,.461.777,2.769,2.769,0,0,1,.165,1.021h-4.73A3.189,3.189,0,0,1,401.558,631.366Z"
                                        transform="translate(-322.003 -626.215)"
                                    />
                                    <path
                                        d="M418.942,629.587a.281.281,0,0,0-.152.053.186.186,0,0,0-.1.132l-2.371,5.553a1.478,1.478,0,0,0-.086.217,2,2,0,0,0-.086.231,1.324,1.324,0,0,0-.066-.231c-.02-.066-.053-.151-.066-.217l-2.4-5.553a.366.366,0,0,0-.1-.132.247.247,0,0,0-.165-.053h-.58l3.03,6.89-1.252,2.786h.481a.284.284,0,0,0,.2-.053.5.5,0,0,0,.119-.165l4.124-9.466h-.527Z"
                                        transform="translate(-326.16 -626.28)"
                                    />
                                </g>
                            </g>
                            <g id="icon">
                                <path
                                    d="M173.145,639.35a11.693,11.693,0,0,0-.165,1.252l-5.125,12.035a9.574,9.574,0,0,1-8.755,5.7H151.17l13.372-29.314a.88.88,0,0,1,.415,0,3.832,3.832,0,0,1,.626.184c-2.009,3.116-2.306,7.45-1.469,9.743a2.84,2.84,0,0,0,1.548,1.6C167.507,641.372,170.642,640.5,173.145,639.35Z"
                                    transform="translate(-151.17 -573.325)"
                                    fill="currentColor"
                                />
                                <path
                                    d="M198.391,573.063q-2.3,2.8-4.651,6.133a66.33,66.33,0,0,0-9.5,18.761A5.217,5.217,0,0,0,183,597.2a5.405,5.405,0,0,0-1.8-.461,11.788,11.788,0,0,0-4.025-4.861l21.613-47.4h1.087l8.228,18.682A71.813,71.813,0,0,0,198.391,573.063Z"
                                    transform="translate(-160.046 -544.48)"
                                    fill="currentColor"
                                />
                                <path
                                    d="M255.109,653.539h-7.931a9.574,9.574,0,0,1-8.755-5.7l-1.634-3.729a13.009,13.009,0,0,0-2.128-8.293,13.208,13.208,0,0,0-2.819-3L229.32,627.1a57.548,57.548,0,0,0,7.9-10.487q.494-.889.889-1.68Z"
                                    transform="translate(-177.84 -568.522)"
                                    fill="currentColor"
                                />
                                <path
                                    d="M188.173,636.977c0,.165.02.316.033.481l-.086-.382a3.477,3.477,0,0,1-.56.955l.514-1.186v-.02l.086-.185v-.02l.2-.461a4.4,4.4,0,0,1-.184.758v.059Z"
                                    transform="translate(-163.589 -575.767)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M188.935,640.035l-.033.151a9.274,9.274,0,0,1-.362-1.976Z"
                                    transform="translate(-163.923 -576.467)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M226.2,656.845c-2.5-2.174-8.853,0-13.583-2.371-3.728-1.844-6.956-6.66-5.553-7.253,5.257-2.24,6.713-6.923,9.3-6.647.25.033.58.086.955.165a13.251,13.251,0,0,1-1.37,3.906,14.766,14.766,0,0,1-1.449,2.24,6.838,6.838,0,0,1-2.042,1.765,7.149,7.149,0,0,0,2.49-1.317,15.382,15.382,0,0,0,2.042-2,15.606,15.606,0,0,0,2.49-3.926,13.448,13.448,0,0,1,3.465,1.976,16.3,16.3,0,0,1-2.668,4.071,14.4,14.4,0,0,1-2.128,2.029,7,7,0,0,1-2.635,1.37,7.4,7.4,0,0,0,2.984-.791,17.729,17.729,0,0,0,2.7-1.614,18.953,18.953,0,0,0,3.511-3.281,10.207,10.207,0,0,1,1.469,2.536,13.672,13.672,0,0,1-2.754,3.2,13.12,13.12,0,0,1-2.141,1.548,6.16,6.16,0,0,1-2.49.856,6.385,6.385,0,0,0,2.721-.283,13.958,13.958,0,0,0,2.589-1.074,16.605,16.605,0,0,0,2.7-1.8A16.412,16.412,0,0,1,226.2,656.845Z"
                                    transform="translate(-170.131 -577.269)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M188.439,636.961v-.033a5.1,5.1,0,0,0,.184-.758l-.2.461v.02l-.086.185v.02l.053.23.086.382a3.935,3.935,0,0,1-.033-.481C188.439,636.98,188.439,636.98,188.439,636.961Z"
                                    transform="translate(-163.855 -575.771)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M188.46,636.635v.02a1.367,1.367,0,0,0,.02.283,5.1,5.1,0,0,0,.184-.758Zm.448,2.707-.4-1.831a9.2,9.2,0,0,0,.362,1.976,5.22,5.22,0,0,0,.2.593Z"
                                    transform="translate(-163.896 -575.774)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M216.961,582.628a19.007,19.007,0,0,0,1.515-6.317,5.762,5.762,0,0,0-.382-2.029,3.455,3.455,0,0,0-1.9-1.877,4.033,4.033,0,0,0-1.285-.185c-.349.013-.646.053-.942.086a13.551,13.551,0,0,0-1.667.349,24.691,24.691,0,0,0-6.08,2.786,43.135,43.135,0,0,0-4.763,3.465,56.624,56.624,0,0,0-5.408,5.408c-1.173,1.35-2.292,2.767-3.346,4.2a.079.079,0,0,0-.013.053,86.29,86.29,0,0,0-6.08,9.578,49.763,49.763,0,0,0-4.321,10.467c-.086.283-.165.56-.231.856a26.1,26.1,0,0,0-.461,2.754,5.849,5.849,0,0,0-1.12-2.372,3.645,3.645,0,0,0-3.775-1.383.1.1,0,0,0-.066.02,10.315,10.315,0,0,0-3.5-5.112,7.065,7.065,0,0,0-.942-.626c-2.306-1.3-1.93,1.186-.758,1.469a7.727,7.727,0,0,1,1.153.349,4.133,4.133,0,0,1,.922.481,6.491,6.491,0,0,1,2.49,3.544.451.451,0,0,1,.033.086,4.584,4.584,0,0,0-1.14.56,10.133,10.133,0,0,0-3.3-2.47,7.54,7.54,0,0,0-2.292-.626c-2.273-.25-1.074,1.634-.053,1.436a5.24,5.24,0,0,1,1.91-.053c.02,0,.053.02.066.02a5.765,5.765,0,0,1,3.182,1.976.035.035,0,0,0,.033.033c-2.754,2.273-3.333,7.187-2.536,9.282.527,1.416,6.1-.349,8.636-2.306a2.727,2.727,0,0,0,.329-.3l.514-1.186v-.02l.086-.184v-.02l.2-.461a4.39,4.39,0,0,1-.184.758v.053c0,.165.02.316.033.481v.053l.4,1.831.165.745v.033a6.2,6.2,0,0,0,2.306,3.07.564.564,0,0,0,.744-.132.548.548,0,0,0-.086-.777,6.341,6.341,0,0,1-1.93-4.862,18.158,18.158,0,0,1,.909-5.586,46.277,46.277,0,0,1,4.861-10.566,87.646,87.646,0,0,1,8.524-11.982,55.522,55.522,0,0,1,6.133-6.067,35.835,35.835,0,0,1,3.992-2.951,22.948,22.948,0,0,1,5.639-2.734,9.763,9.763,0,0,1,1.252-.3,3.665,3.665,0,0,1,.56-.066,1.037,1.037,0,0,1,.184-.013l.02.013a.437.437,0,0,1,.132.165,2.6,2.6,0,0,1,.165.889,16.636,16.636,0,0,1-1.14,5.277,63.3,63.3,0,0,1-2.622,6.3c-.692,1.482-1.449,2.964-2.207,4.42-.217.415-.428.823-.659,1.238-.02,0-.033.02-.053.02a40.739,40.739,0,0,0-5.487,2.767c-.527.316-1.041.646-1.548.975a44.226,44.226,0,0,0-7.931,6.811,42.339,42.339,0,0,0-3.827,4.815,15.875,15.875,0,0,0-2.536,5.948,5.541,5.541,0,0,0-.066,1.93,2.621,2.621,0,0,0,.692,1.383,2.127,2.127,0,0,0,1.667.527,4.45,4.45,0,0,0,1.864-.659,15.655,15.655,0,0,0,1.383-.823,28.279,28.279,0,0,0,4.763-3.992,66.814,66.814,0,0,0,7.121-8.768c.165-.231.329-.481.494-.711,1.812-2.721,3.544-5.487,5.145-8.326a5.174,5.174,0,0,1,.56-.217,6.913,6.913,0,0,1,1.153-.415c.58-.053.744.033.975.646a5.09,5.09,0,0,1-.1,2.371,14.7,14.7,0,0,1-.909,2.635,29.235,29.235,0,0,1-2.786,5.026c-.81,1.173-1.68,2.292-2.6,3.379a55.52,55.52,0,0,1-5.224,5.342,51.263,51.263,0,0,1-4.552,3.728,15.969,15.969,0,0,1-5.079,2.688h-.053a.4.4,0,0,0-.3.448.4.4,0,0,0,.448.316,16.343,16.343,0,0,0,5.586-2.5,52.263,52.263,0,0,0,4.914-3.544,58.656,58.656,0,0,0,5.046-4.7,46.331,46.331,0,0,0,3.412-3.992,27.87,27.87,0,0,0,3.168-5.309,17.444,17.444,0,0,0,1.087-2.984,9.39,9.39,0,0,0,.283-1.713v-.02a5.364,5.364,0,0,0-.132-1.779,3.178,3.178,0,0,0-1.271-1.877.883.883,0,0,0-.263-.152,2.9,2.9,0,0,0-1.713-.362c.3-.527.58-1.054.856-1.581C214.471,588.247,215.808,585.513,216.961,582.628Zm-13.142,19.419v.02c-.1.165-.2.316-.316.481a60.145,60.145,0,0,1-7.4,9.064,27.654,27.654,0,0,1-4.42,3.6,9.522,9.522,0,0,1-1.205.679,5.632,5.632,0,0,1-.56.283,4.1,4.1,0,0,1,.086-.758,13.344,13.344,0,0,1,2.194-4.914,45.257,45.257,0,0,1,3.6-4.532,42.355,42.355,0,0,1,7.042-6.166c.593-.448,1.206-.843,1.831-1.238.692-.448,1.416-.856,2.141-1.252Q205.4,599.722,203.819,602.048Z"
                                    transform="translate(-156.917 -553.947)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M226.2,656.845c-2.5-2.174-8.853,0-13.583-2.371-3.728-1.844-6.956-6.66-5.553-7.253,5.257-2.24,6.713-6.923,9.3-6.647.25.033.58.086.955.165a13.251,13.251,0,0,1-1.37,3.906,14.766,14.766,0,0,1-1.449,2.24,6.838,6.838,0,0,1-2.042,1.765,7.149,7.149,0,0,0,2.49-1.317,15.382,15.382,0,0,0,2.042-2,15.606,15.606,0,0,0,2.49-3.926,13.448,13.448,0,0,1,3.465,1.976,16.3,16.3,0,0,1-2.668,4.071,14.4,14.4,0,0,1-2.128,2.029,7,7,0,0,1-2.635,1.37,7.4,7.4,0,0,0,2.984-.791,17.729,17.729,0,0,0,2.7-1.614,18.953,18.953,0,0,0,3.511-3.281,10.207,10.207,0,0,1,1.469,2.536,13.672,13.672,0,0,1-2.754,3.2,13.12,13.12,0,0,1-2.141,1.548,6.16,6.16,0,0,1-2.49.856,6.385,6.385,0,0,0,2.721-.283,13.958,13.958,0,0,0,2.589-1.074,16.605,16.605,0,0,0,2.7-1.8A16.412,16.412,0,0,1,226.2,656.845Z"
                                    transform="translate(-170.131 -577.269)"
                                    fill="#e09330"
                                />
                                <path
                                    d="M188.347,636.17a4.394,4.394,0,0,1-.184.758v.053c-.02.033-.033.066-.053.1a3.477,3.477,0,0,1-.56.955l.514-1.186v-.02l.086-.185v-.02Z"
                                    transform="translate(-163.585 -575.771)"
                                    fill="#e09330"
                                />
                            </g>
                        </SSvg>
                    </a>
                </Link>
            </SHeaderLogo>
        );
    }
}

const SHeaderLogo = styled.div`
    position: relative;
    z-index: 2;
    width: 7em;
    a {
        cursor: pointer;
        transition: all 0;
        color: ${colors.black_one};
        &:hover {
            color: ${colors.black_one};
        }
        &.active {
            cursor: default;
        }
    }
    &.dark {
        a {
            color: ${colors.white};
            &:hover {
                color: ${colors.white};
            }
        }
    }
    ${down("lg")} {
    }
    ${down("sm")} {
        width: 6.4em;
    }
`;
const SSvg = styled.svg`
    width: 5.8em;
    height: 2.8em;
    transition: all 0.2s ease-out;
    ${down("sm")} {
        width: 5em;
        height: 2.4em;
    }
`;

export default HeaderLogo;
